Saves or clears a version selection for a tenant's workspace or agent.
PUT
/v1/m/agenttools/pins
const url = 'https://example.com/v1/m/agenttools/pins';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"agent_ref":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","driver":"example","tenant_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","version":"example","workspace_ref":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/v1/m/agenttools/pins \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "agent_ref": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "driver": "example", "tenant_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "version": "example", "workspace_ref": "example" }'Saves or clears a version selection for a tenant’s workspace or agent.
Authorizations
Section titled “ Authorizations ”Request Body required
Section titled “ Request Body required ” Media type application/json
object
agent_ref
string format: uuid
driver
required
string
tenant_id
required
string format: uuid
version
required
string
workspace_ref
string
Example generated
{ "agent_ref": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "driver": "example", "tenant_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "version": "example", "workspace_ref": "example"}Responses
Section titled “ Responses ”Version selection saved and audited; empty version clears it
Media type application/json
object
ok
required
boolean
Example generated
{ "ok": true}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden / step-up required
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict
Media type application/json
object
Example generated
{}Required evidence or store unavailable
Media type application/json
object
Example generated
{}